[[mgr.prepend_keymap]]
on = [ ";" ]
run  = 'shell "$SHELL" --block --confirm'
desc = "Open shell here"

[[mgr.prepend_keymap]]
on = [ ":","q","a","<Enter>" ]
run  = 'quit'
desc = "Close the current tab"
[[mgr.prepend_keymap]]
on = [ ":","q","<Enter>" ]
run  = 'close'
desc = "Close the current tab"

# Makes "Enter" key necessary to press
[[mgr.prepend_keymap]]
on = [ ":","q","a","<Esc>" ]
run  = 'echo meow'
desc = ""

[[mgr.prepend_keymap]]
on = [ "q" ]
run  = 'noop'


[[mgr.prepend_keymap]]
on = [ "g","r" ]
run  = 'cd /'
desc = "Go to /"
[[mgr.prepend_keymap]]
on = [ "g","u" ]
run  = 'cd /usr'
desc = "Go to /usr"
[[mgr.prepend_keymap]]
on = [ "g","e" ]
run  = 'cd /etc'
desc = "Go to /etc"
[[mgr.prepend_keymap]]
on = [ "g","v" ]
run  = 'cd /var'
desc = "Go to /var"

[[mgr.prepend_keymap]]
on = [ "g","a" ]
run  = 'cd /run/media/eugenebee'
desc = "Go to attached devices"

[[mgr.prepend_keymap]]
on = [ "g","c" ]
run  = 'cd ~/.config'
desc = "Go to .config"
[[mgr.prepend_keymap]]
on = [ "g","d" ]
run  = 'cd ~/Downloads'
desc = "Go to Downloads"
[[mgr.prepend_keymap]]
on = [ "g","p" ]
run  = 'cd ~/Pictures'
desc = "Go to Pictures"


[[mgr.prepend_keymap]]
on = [ "v" ]
run  = 'select_all --state=true'
desc = "Select all files"
[[mgr.prepend_keymap]]
on = [ "V" ]
run  = 'visual_mode'
desc = "Enter visual mode"

[[mgr.prepend_keymap]]
on = [ "y" ]
run = [
'shell -- for path in "$@"; do echo "file://$path"; done | wl-copy -t text/uri-list',
"yank"
]

[[mgr.prepend_keymap]]
on = "<C-y>"
run = ["plugin wl-clipboard"]

[[mgr.prepend_keymap]]
on = [ "D", "<Enter>" ]
run  = 'remove --force --permanently'
desc = "Permanently delete"
